HanMacWrdJTextInternal::Paragraph Struct Referencefinal

Internal: class to store the paragraph properties of a HanMacWrdJText. More...

Inheritance diagram for HanMacWrdJTextInternal::Paragraph:

## Public Member Functions
| Paragraph ()
| Constructor.
| Paragraph (Paragraph const &)=default
Paragraph & | operator= (Paragraph const &)=default
Paragraph & | operator= (Paragraph &&)=default
| ~Paragraph () final
| destructor
Public Member Functions inherited from MWAWParagraph
| MWAWParagraph ()
| constructor
| MWAWParagraph (MWAWParagraph const &)=default
MWAWParagraph & | operator= (MWAWParagraph const &)=default
MWAWParagraph & | operator= (MWAWParagraph &&)=default
virtual | ~MWAWParagraph ()
| destructor
bool | operator== (MWAWParagraph const &p) const
| operator==
bool | operator!= (MWAWParagraph const &p) const
| operator!=
int | cmp (MWAWParagraph const &p) const
| a comparison function
double | getMarginsWidth () const
| return the paragraph margin width (in inches)
bool | hasBorders () const
| check if the paragraph has some borders
bool | hasDifferentBorders () const
| check if the paragraph has different borders
void | resizeBorders (size_t newSize)
| a function used to resize the borders list ( adding empty borders if needed )
void | setInterline (double value, librevenge::RVNGUnit unit, LineSpacingType type=Fixed)
| set the interline
void | addTo (librevenge::RVNGPropertyList &propList, bool inTable) const
| add to the propList
void | insert (MWAWParagraph const &para)
| insert the set values of para in the actual paragraph

## Public Attributes
int | m_type
| the type
bool | m_addPageBreak
| flag to store a force page break
Public Attributes inherited from MWAWParagraph
MWAWVariable< double > | m_margins [3]
| the margins
MWAWVariable< librevenge::RVNGUnit > | m_marginsUnit
| the margins INCH, ...
MWAWVariable< double > | m_spacings [3]
| the line spacing
MWAWVariable< librevenge::RVNGUnit > | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ...
MWAWVariable< LineSpacingType > | m_spacingsInterlineType
| the interline type: fixed, atLeast, ...
MWAWVariable< std::vector< MWAWTabStop > > | m_tabs
| the tabulations
MWAWVariable< bool > | m_tabsRelativeToLeftMargin
| true if the tabs are relative to left margin, false if there are relative to the page margin (default)
MWAWVariable< Justification > | m_justify
| the justification
MWAWVariable< int > | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after)
MWAWVariable< libmwaw::WritingMode > | m_writingMode
| the writing mode
MWAWVariable< int > | m_listLevelIndex
| the actual level index
MWAWVariable< int > | m_listId
| the list id (if know )
MWAWVariable< int > | m_listStartValue
| the list start value (if set )
MWAWVariable< MWAWListLevel > | m_listLevel
| the actual level
MWAWVariable< MWAWColor > | m_backgroundColor
| the background color
std::vector< MWAWVariable< MWAWBorder > > | m_borders
| list of border ( order MWAWBorder::Pos)
MWAWVariable< int > | m_dropNumCharacters
| the drop number character
MWAWVariable< int > | m_dropNumLines
| the drop number of lines
std::string | m_styleName
| the style name
std::string | m_extra
| a string to store some errors

## Friends
std::ostream & | operator<< (std::ostream &o, Paragraph const &ind)
| operator<<

## Additional Inherited Members
Public Types inherited from MWAWParagraph
enum | { NoBreakBit = 0x1 , NoBreakWithNextBit =0x2 }
| some bit use to defined the break status More...
enum | Justification { JustificationLeft , JustificationFull , JustificationCenter , JustificationRight , JustificationFullAllLines }
| an enum used to defined the paragraph justification: left, center, right, full ... More...
enum | LineSpacingType { Fixed , AtLeast }
| the line spacing type: fixed or at least More...

## Detailed Description

Internal: class to store the paragraph properties of a HanMacWrdJText.

## Constructor & Destructor Documentation

## ◆ Paragraph() [1/2]

HanMacWrdJTextInternal::Paragraph::Paragraph | ( |  | ) |
| inline

Constructor.

Referenced by operator<<, operator=(), operator=(), and Paragraph().

## ◆ Paragraph() [2/2]

HanMacWrdJTextInternal::Paragraph::Paragraph | ( | Paragraph const & |  | ) |
| default

## ◆ ~Paragraph()

HanMacWrdJTextInternal::Paragraph::~Paragraph | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ operator=() [1/2]

Paragraph & HanMacWrdJTextInternal::Paragraph::operator= | ( | Paragraph && |  | ) |
| default

## ◆ operator=() [2/2]

Paragraph & HanMacWrdJTextInternal::Paragraph::operator= | ( | Paragraph const & |  | ) |
| default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Paragraph const & | ind )
| friend

operator<<

## Member Data Documentation

## ◆ m_addPageBreak

bool HanMacWrdJTextInternal::Paragraph::m_addPageBreak

flag to store a force page break

Referenced by Paragraph(), and HanMacWrdJText::readParagraph().

## ◆ m_type

int HanMacWrdJTextInternal::Paragraph::m_type

the type

Referenced by Paragraph(), and HanMacWrdJText::readParagraph().

The documentation for this struct was generated from the following file:

- HanMacWrdJText.cxx